## org.eclipse.emf.compare.diff.metamodel.impl
Class DiffPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.compare.diff.metamodel.impl.DiffPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, DiffPackage, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class DiffPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements DiffPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffPackage
`DiffPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffPackage

`ABSTRACT_DIFF_EXTENSION, ABSTRACT_DIFF_EXTENSION__HIDE_ELEMENTS, ABSTRACT_DIFF_EXTENSION__IS_COLLAPSED, ABSTRACT_DIFF_EXTENSION_FEATURE_COUNT, ATTRIBUTE_CHANGE, ATTRIBUTE_CHANGE__ATTRIBUTE, ATTRIBUTE_CHANGE__CONFLICTING, ATTRIBUTE_CHANGE__IS_HIDDEN_BY, ATTRIBUTE_CHANGE__KIND, ATTRIBUTE_CHANGE__LEFT_ELEMENT, ATTRIBUTE_CHANGE__REMOTE, ATTRIBUTE_CHANGE__RIGHT_ELEMENT, ATTRIBUTE_CHANGE__SUB_DIFF_ELEMENTS, ATTRIBUTE_CHANGE_FEATURE_COUNT, ATTRIBUTE_CHANGE_LEFT_TARGET, ATTRIBUTE_CHANGE_LEFT_TARGET__ATTRIBUTE, ATTRIBUTE_CHANGE_LEFT_TARGET__CONFLICTING, ATTRIBUTE_CHANGE_LEFT_TARGET__IS_HIDDEN_BY, ATTRIBUTE_CHANGE_LEFT_TARGET__KIND, ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_ELEMENT, ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_TARGET, ATTRIBUTE_CHANGE_LEFT_TARGET__REMOTE, ATTRIBUTE_CHANGE_LEFT_TARGET__RIGHT_ELEMENT, ATTRIBUTE_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS, ATTRIBUTE_CHANGE_LEFT_TARGET_FEATURE_COUNT, ATTRIBUTE_CHANGE_RIGHT_TARGET, ATTRIBUTE_CHANGE_RIGHT_TARGET__ATTRIBUTE, ATTRIBUTE_CHANGE_RIGHT_TARGET__CONFLICTING, ATTRIBUTE_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY, ATTRIBUTE_CHANGE_RIGHT_TARGET__KIND, ATTRIBUTE_CHANGE_RIGHT_TARGET__LEFT_ELEMENT, ATTRIBUTE_CHANGE_RIGHT_TARGET__REMOTE, ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT, ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_TARGET, ATTRIBUTE_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS, ATTRIBUTE_CHANGE_RIGHT_TARGET_FEATURE_COUNT, COMPARISON_RESOURCE_SET_SNAPSHOT, COMPARISON_RESOURCE_SET_SNAPSHOT__DATE, COMPARISON_RESOURCE_SET_SNAPSHOT__DIFF_RESOURCE_SET, COMPARISON_RESOURCE_SET_SNAPSHOT__MATCH_RESOURCE_SET, COMPARISON_RESOURCE_SET_SNAPSHOT_FEATURE_COUNT, COMPARISON_RESOURCE_SNAPSHOT, COMPARISON_RESOURCE_SNAPSHOT__DATE, COMPARISON_RESOURCE_SNAPSHOT__DIFF, COMPARISON_RESOURCE_SNAPSHOT__MATCH, COMPARISON_RESOURCE_SNAPSHOT_FEATURE_COUNT, COMPARISON_SNAPSHOT, COMPARISON_SNAPSHOT__DATE, COMPARISON_SNAPSHOT_FEATURE_COUNT, CONFLICTING_DIFF_ELEMENT, CONFLICTING_DIFF_ELEMENT__CONFLICTING, CONFLICTING_DIFF_ELEMENT__IS_HIDDEN_BY, CONFLICTING_DIFF_ELEMENT__KIND, CONFLICTING_DIFF_ELEMENT__LEFT_PARENT, CONFLICTING_DIFF_ELEMENT__ORIGIN_ELEMENT, CONFLICTING_DIFF_ELEMENT__REMOTE, CONFLICTING_DIFF_ELEMENT__RIGHT_PARENT, CONFLICTING_DIFF_ELEMENT__SUB_DIFF_ELEMENTS, CONFLICTING_DIFF_ELEMENT_FEATURE_COUNT, DIFF_ELEMENT, DIFF_ELEMENT__CONFLICTING, DIFF_ELEMENT__IS_HIDDEN_BY, DIFF_ELEMENT__KIND, DIFF_ELEMENT__REMOTE, DIFF_ELEMENT__SUB_DIFF_ELEMENTS, DIFF_ELEMENT_FEATURE_COUNT, DIFF_GROUP, DIFF_GROUP__CONFLICTING, DIFF_GROUP__IS_HIDDEN_BY, DIFF_GROUP__KIND, DIFF_GROUP__REMOTE, DIFF_GROUP__RIGHT_PARENT, DIFF_GROUP__SUB_DIFF_ELEMENTS, DIFF_GROUP__SUBCHANGES, DIFF_GROUP_FEATURE_COUNT, DIFF_MODEL, DIFF_MODEL__ANCESTOR_ROOTS, DIFF_MODEL__LEFT_ROOTS, DIFF_MODEL__OWNED_ELEMENTS, DIFF_MODEL__RIGHT_ROOTS, DIFF_MODEL_FEATURE_COUNT, DIFF_RESOURCE_SET, DIFF_RESOURCE_SET__DIFF_MODELS, DIFF_RESOURCE_SET__RESOURCE_DIFFS, DIFF_RESOURCE_SET_FEATURE_COUNT, DIFFERENCE_KIND, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, IMERGER, MODEL_ELEMENT_CHANGE, MODEL_ELEMENT_CHANGE__CONFLICTING, MODEL_ELEMENT_CHANGE__IS_HIDDEN_BY, MODEL_ELEMENT_CHANGE__KIND, MODEL_ELEMENT_CHANGE__REMOTE, MODEL_ELEMENT_CHANGE__SUB_DIFF_ELEMENTS, MODEL_ELEMENT_CHANGE_FEATURE_COUNT, MODEL_ELEMENT_CHANGE_LEFT_TARGET, MODEL_ELEMENT_CHANGE_LEFT_TARGET__CONFLICTING, MODEL_ELEMENT_CHANGE_LEFT_TARGET__IS_HIDDEN_BY, MODEL_ELEMENT_CHANGE_LEFT_TARGET__KIND, MODEL_ELEMENT_CHANGE_LEFT_TARGET__LEFT_ELEMENT, MODEL_ELEMENT_CHANGE_LEFT_TARGET__REMOTE, MODEL_ELEMENT_CHANGE_LEFT_TARGET__RIGHT_PARENT, MODEL_ELEMENT_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS, MODEL_ELEMENT_CHANGE_LEFT_TARGET_FEATURE_COUNT, MODEL_ELEMENT_CHANGE_RIGHT_TARGET, MODEL_ELEMENT_CHANGE_RIGHT_TARGET__CONFLICTING, MODEL_ELEMENT_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY, MODEL_ELEMENT_CHANGE_RIGHT_TARGET__KIND, MODEL_ELEMENT_CHANGE_RIGHT_TARGET__LEFT_PARENT, MODEL_ELEMENT_CHANGE_RIGHT_TARGET__REMOTE, MODEL_ELEMENT_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT, MODEL_ELEMENT_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS, MODEL_ELEMENT_CHANGE_RIGHT_TARGET_FEATURE_COUNT, MOVE_MODEL_ELEMENT, MOVE_MODEL_ELEMENT__CONFLICTING, MOVE_MODEL_ELEMENT__IS_HIDDEN_BY, MOVE_MODEL_ELEMENT__KIND, MOVE_MODEL_ELEMENT__LEFT_ELEMENT, MOVE_MODEL_ELEMENT__LEFT_TARGET, MOVE_MODEL_ELEMENT__REMOTE, MOVE_MODEL_ELEMENT__RIGHT_ELEMENT, MOVE_MODEL_ELEMENT__RIGHT_TARGET, MOVE_MODEL_ELEMENT__SUB_DIFF_ELEMENTS, MOVE_MODEL_ELEMENT_FEATURE_COUNT, REFERENCE_CHANGE, REFERENCE_CHANGE__CONFLICTING, REFERENCE_CHANGE__IS_HIDDEN_BY, REFERENCE_CHANGE__KIND, REFERENCE_CHANGE__LEFT_ELEMENT, REFERENCE_CHANGE__REFERENCE, REFERENCE_CHANGE__REMOTE, REFERENCE_CHANGE__RIGHT_ELEMENT, REFERENCE_CHANGE__SUB_DIFF_ELEMENTS, REFERENCE_CHANGE_FEATURE_COUNT, REFERENCE_CHANGE_LEFT_TARGET, REFERENCE_CHANGE_LEFT_TARGET__CONFLICTING, REFERENCE_CHANGE_LEFT_TARGET__IS_HIDDEN_BY, REFERENCE_CHANGE_LEFT_TARGET__KIND, REFERENCE_CHANGE_LEFT_TARGET__LEFT_ELEMENT, REFERENCE_CHANGE_LEFT_TARGET__LEFT_TARGET, REFERENCE_CHANGE_LEFT_TARGET__REFERENCE, REFERENCE_CHANGE_LEFT_TARGET__REMOTE, REFERENCE_CHANGE_LEFT_TARGET__RIGHT_ELEMENT, REFERENCE_CHANGE_LEFT_TARGET__RIGHT_TARGET, REFERENCE_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS, REFERENCE_CHANGE_LEFT_TARGET_FEATURE_COUNT, REFERENCE_CHANGE_RIGHT_TARGET, REFERENCE_CHANGE_RIGHT_TARGET__CONFLICTING, REFERENCE_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY, REFERENCE_CHANGE_RIGHT_TARGET__KIND, REFERENCE_CHANGE_RIGHT_TARGET__LEFT_ELEMENT, REFERENCE_CHANGE_RIGHT_TARGET__LEFT_TARGET, REFERENCE_CHANGE_RIGHT_TARGET__REFERENCE, REFERENCE_CHANGE_RIGHT_TARGET__REMOTE, REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT, REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_TARGET, REFERENCE_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS, REFERENCE_CHANGE_RIGHT_TARGET_FEATURE_COUNT, REFERENCE_ORDER_CHANGE, REFERENCE_ORDER_CHANGE__CONFLICTING, REFERENCE_ORDER_CHANGE__IS_HIDDEN_BY, REFERENCE_ORDER_CHANGE__KIND, REFERENCE_ORDER_CHANGE__LEFT_ELEMENT, REFERENCE_ORDER_CHANGE__LEFT_TARGET, REFERENCE_ORDER_CHANGE__REFERENCE, REFERENCE_ORDER_CHANGE__REMOTE, REFERENCE_ORDER_CHANGE__RIGHT_ELEMENT, REFERENCE_ORDER_CHANGE__RIGHT_TARGET, REFERENCE_ORDER_CHANGE__SUB_DIFF_ELEMENTS, REFERENCE_ORDER_CHANGE_FEATURE_COUNT, RESOURCE_DEPENDENCY_CHANGE, RESOURCE_DEPENDENCY_CHANGE__CONFLICTING, RESOURCE_DEPENDENCY_CHANGE__IS_HIDDEN_BY, RESOURCE_DEPENDENCY_CHANGE__KIND, RESOURCE_DEPENDENCY_CHANGE__REMOTE, RESOURCE_DEPENDENCY_CHANGE__ROOTS, RESOURCE_DEPENDENCY_CHANGE__SUB_DIFF_ELEMENTS, RESOURCE_DEPENDENCY_CHANGE_FEATURE_COUNT, RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET, RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__CONFLICTING, RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__IS_HIDDEN_BY, RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__KIND, RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__REMOTE, RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__ROOTS, RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS, RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET_FEATURE_COUNT, RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET, RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__CONFLICTING, RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY, RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__KIND, RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__REMOTE, RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__ROOTS, RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS, RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET_FEATURE_COUNT, RESOURCE_DIFF, RESOURCE_DIFF__CONFLICTING, RESOURCE_DIFF__IS_HIDDEN_BY, RESOURCE_DIFF__KIND, RESOURCE_DIFF__REMOTE, RESOURCE_DIFF__SUB_DIFF_ELEMENTS, RESOURCE_DIFF_FEATURE_COUNT, UPDATE_ATTRIBUTE, UPDATE_ATTRIBUTE__ATTRIBUTE, UPDATE_ATTRIBUTE__CONFLICTING, UPDATE_ATTRIBUTE__IS_HIDDEN_BY, UPDATE_ATTRIBUTE__KIND, UPDATE_ATTRIBUTE__LEFT_ELEMENT, UPDATE_ATTRIBUTE__REMOTE, UPDATE_ATTRIBUTE__RIGHT_ELEMENT, UPDATE_ATTRIBUTE__SUB_DIFF_ELEMENTS, UPDATE_ATTRIBUTE_FEATURE_COUNT, UPDATE_CONTAINMENT_FEATURE, UPDATE_CONTAINMENT_FEATURE__CONFLICTING, UPDATE_CONTAINMENT_FEATURE__IS_HIDDEN_BY, UPDATE_CONTAINMENT_FEATURE__KIND, UPDATE_CONTAINMENT_FEATURE__LEFT_ELEMENT, UPDATE_CONTAINMENT_FEATURE__LEFT_TARGET, UPDATE_CONTAINMENT_FEATURE__REMOTE, UPDATE_CONTAINMENT_FEATURE__RIGHT_ELEMENT, UPDATE_CONTAINMENT_FEATURE__RIGHT_TARGET, UPDATE_CONTAINMENT_FEATURE__SUB_DIFF_ELEMENTS, UPDATE_CONTAINMENT_FEATURE_FEATURE_COUNT, UPDATE_MODEL_ELEMENT, UPDATE_MODEL_ELEMENT__CONFLICTING, UPDATE_MODEL_ELEMENT__IS_HIDDEN_BY, UPDATE_MODEL_ELEMENT__KIND, UPDATE_MODEL_ELEMENT__LEFT_ELEMENT, UPDATE_MODEL_ELEMENT__REMOTE, UPDATE_MODEL_ELEMENT__RIGHT_ELEMENT, UPDATE_MODEL_ELEMENT__SUB_DIFF_ELEMENTS, UPDATE_MODEL_ELEMENT_FEATURE_COUNT, UPDATE_REFERENCE, UPDATE_REFERENCE__CONFLICTING, UPDATE_REFERENCE__IS_HIDDEN_BY, UPDATE_REFERENCE__KIND, UPDATE_REFERENCE__LEFT_ELEMENT, UPDATE_REFERENCE__LEFT_TARGET, UPDATE_REFERENCE__REFERENCE, UPDATE_REFERENCE__REMOTE, UPDATE_REFERENCE__RIGHT_ELEMENT, UPDATE_REFERENCE__RIGHT_TARGET, UPDATE_REFERENCE__SUB_DIFF_ELEMENTS, UPDATE_REFERENCE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` `getAbstractDiffExtension_HideElements()`
`org.eclipse.emf.ecore.EAttribute` `getAbstractDiffExtension_IsCollapsed()`
`org.eclipse.emf.ecore.EClass` `getAbstractDiffExtension()`
`org.eclipse.emf.ecore.EReference` `getAttributeChange_Attribute()`
`org.eclipse.emf.ecore.EReference` `getAttributeChange_LeftElement()`
`org.eclipse.emf.ecore.EReference` `getAttributeChange_RightElement()`
`org.eclipse.emf.ecore.EClass` `getAttributeChange()`
`org.eclipse.emf.ecore.EAttribute` `getAttributeChangeLeftTarget_LeftTarget()`
`org.eclipse.emf.ecore.EClass` `getAttributeChangeLeftTarget()`
`org.eclipse.emf.ecore.EAttribute` `getAttributeChangeRightTarget_RightTarget()`
`org.eclipse.emf.ecore.EClass` `getAttributeChangeRightTarget()`
`org.eclipse.emf.ecore.EReference` `getComparisonResourceSetSnapshot_DiffResourceSet()`
`org.eclipse.emf.ecore.EReference` `getComparisonResourceSetSnapshot_MatchResourceSet()`
`org.eclipse.emf.ecore.EClass` `getComparisonResourceSetSnapshot()`
`org.eclipse.emf.ecore.EReference` `getComparisonResourceSnapshot_Diff()`
`org.eclipse.emf.ecore.EReference` `getComparisonResourceSnapshot_Match()`
`org.eclipse.emf.ecore.EClass` `getComparisonResourceSnapshot()`
`org.eclipse.emf.ecore.EAttribute` `getComparisonSnapshot_Date()`
`org.eclipse.emf.ecore.EClass` `getComparisonSnapshot()`
`org.eclipse.emf.ecore.EReference` `getConflictingDiffElement_LeftParent()`
`org.eclipse.emf.ecore.EReference` `getConflictingDiffElement_OriginElement()`
`org.eclipse.emf.ecore.EReference` `getConflictingDiffElement_RightParent()`
`org.eclipse.emf.ecore.EClass` `getConflictingDiffElement()`
`org.eclipse.emf.ecore.EAttribute` `getDiffElement_Conflicting()`
`org.eclipse.emf.ecore.EReference` `getDiffElement_IsHiddenBy()`
`org.eclipse.emf.ecore.EAttribute` `getDiffElement_Kind()`
`org.eclipse.emf.ecore.EAttribute` `getDiffElement_Remote()`
`org.eclipse.emf.ecore.EReference` `getDiffElement_SubDiffElements()`
`org.eclipse.emf.ecore.EClass` `getDiffElement()`
`org.eclipse.emf.ecore.EEnum` `getDifferenceKind()`
`DiffFactory` `getDiffFactory()`
`org.eclipse.emf.ecore.EReference` `getDiffGroup_RightParent()`
`org.eclipse.emf.ecore.EAttribute` `getDiffGroup_Subchanges()`
`org.eclipse.emf.ecore.EClass` `getDiffGroup()`
`org.eclipse.emf.ecore.EReference` `getDiffModel_AncestorRoots()`
`org.eclipse.emf.ecore.EReference` `getDiffModel_LeftRoots()`
`org.eclipse.emf.ecore.EReference` `getDiffModel_OwnedElements()`
`org.eclipse.emf.ecore.EReference` `getDiffModel_RightRoots()`
`org.eclipse.emf.ecore.EClass` `getDiffModel()`
`org.eclipse.emf.ecore.EReference` `getDiffResourceSet_DiffModels()`
`org.eclipse.emf.ecore.EReference` `getDiffResourceSet_ResourceDiffs()`
`org.eclipse.emf.ecore.EClass` `getDiffResourceSet()`
`org.eclipse.emf.ecore.EDataType` `getIMerger()`
`org.eclipse.emf.ecore.EClass` `getModelElementChange()`
`org.eclipse.emf.ecore.EReference` `getModelElementChangeLeftTarget_LeftElement()`
`org.eclipse.emf.ecore.EReference` `getModelElementChangeLeftTarget_RightParent()`
`org.eclipse.emf.ecore.EClass` `getModelElementChangeLeftTarget()`
`org.eclipse.emf.ecore.EReference` `getModelElementChangeRightTarget_LeftParent()`
`org.eclipse.emf.ecore.EReference` `getModelElementChangeRightTarget_RightElement()`
`org.eclipse.emf.ecore.EClass` `getModelElementChangeRightTarget()`
`org.eclipse.emf.ecore.EReference` `getMoveModelElement_LeftTarget()`
`org.eclipse.emf.ecore.EReference` `getMoveModelElement_RightTarget()`
`org.eclipse.emf.ecore.EClass` `getMoveModelElement()`
`org.eclipse.emf.ecore.EReference` `getReferenceChange_LeftElement()`
`org.eclipse.emf.ecore.EReference` `getReferenceChange_Reference()`
`org.eclipse.emf.ecore.EReference` `getReferenceChange_RightElement()`
`org.eclipse.emf.ecore.EClass` `getReferenceChange()`
`org.eclipse.emf.ecore.EReference` `getReferenceChangeLeftTarget_LeftTarget()`
`org.eclipse.emf.ecore.EReference` `getReferenceChangeLeftTarget_RightTarget()`
`org.eclipse.emf.ecore.EClass` `getReferenceChangeLeftTarget()`
`org.eclipse.emf.ecore.EReference` `getReferenceChangeRightTarget_LeftTarget()`
`org.eclipse.emf.ecore.EReference` `getReferenceChangeRightTarget_RightTarget()`
`org.eclipse.emf.ecore.EClass` `getReferenceChangeRightTarget()`
`org.eclipse.emf.ecore.EReference` `getReferenceOrderChange_LeftTarget()`
`org.eclipse.emf.ecore.EReference` `getReferenceOrderChange_RightTarget()`
`org.eclipse.emf.ecore.EClass` `getReferenceOrderChange()`
`org.eclipse.emf.ecore.EReference` `getResourceDependencyChange_Roots()`
`org.eclipse.emf.ecore.EClass` `getResourceDependencyChange()`
`org.eclipse.emf.ecore.EClass` `getResourceDependencyChangeLeftTarget()`
`org.eclipse.emf.ecore.EClass` `getResourceDependencyChangeRightTarget()`
`org.eclipse.emf.ecore.EClass` `getResourceDiff()`
`org.eclipse.emf.ecore.EClass` `getUpdateAttribute()`
`org.eclipse.emf.ecore.EClass` `getUpdateContainmentFeature()`
`org.eclipse.emf.ecore.EReference` `getUpdateModelElement_LeftElement()`
`org.eclipse.emf.ecore.EReference` `getUpdateModelElement_RightElement()`
`org.eclipse.emf.ecore.EClass` `getUpdateModelElement()`
`org.eclipse.emf.ecore.EReference` `getUpdateReference_LeftTarget()`
`org.eclipse.emf.ecore.EReference` `getUpdateReference_RightTarget()`
`org.eclipse.emf.ecore.EClass` `getUpdateReference()`
`static DiffPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static DiffPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `DiffPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### getAbstractDiffExtension

    public org.eclipse.emf.ecore.EClass getAbstractDiffExtension()

  Specified by:
    `getAbstractDiffExtension` in interface `DiffPackage`
  Returns:
    the meta object for class 'Abstract Diff Extension'.
  See Also:
    `AbstractDiffExtension`

### getAbstractDiffExtension_HideElements

    public org.eclipse.emf.ecore.EReference getAbstractDiffExtension_HideElements()

  Specified by:
    `getAbstractDiffExtension_HideElements` in interface `DiffPackage`
  Returns:
    the meta object for the reference list 'Hide Elements'.
  See Also:
    `AbstractDiffExtension.getHideElements()`, `DiffPackage.getAbstractDiffExtension()`

### getAbstractDiffExtension_IsCollapsed

    public org.eclipse.emf.ecore.EAttribute getAbstractDiffExtension_IsCollapsed()

  Specified by:
    `getAbstractDiffExtension_IsCollapsed` in interface `DiffPackage`
  Returns:
    the meta object for the attribute 'Is Collapsed'.
  See Also:
    `AbstractDiffExtension.isIsCollapsed()`, `DiffPackage.getAbstractDiffExtension()`

### getResourceDiff

    public org.eclipse.emf.ecore.EClass getResourceDiff()

  Specified by:
    `getResourceDiff` in interface `DiffPackage`
  Returns:
    the meta object for class 'Resource Diff'.
  See Also:
    `ResourceDiff`

### getResourceDependencyChange

    public org.eclipse.emf.ecore.EClass getResourceDependencyChange()

  Specified by:
    `getResourceDependencyChange` in interface `DiffPackage`
  Returns:
    the meta object for class 'Resource Dependency Change'.
  See Also:
    `ResourceDependencyChange`

### getResourceDependencyChange_Roots

    public org.eclipse.emf.ecore.EReference getResourceDependencyChange_Roots()

  Specified by:
    `getResourceDependencyChange_Roots` in interface `DiffPackage`
  Returns:
    the meta object for the reference list 'Roots'.
  See Also:
    `ResourceDependencyChange.getRoots()`, `DiffPackage.getResourceDependencyChange()`

### getResourceDependencyChangeLeftTarget

    public org.eclipse.emf.ecore.EClass getResourceDependencyChangeLeftTarget()

  Specified by:
    `getResourceDependencyChangeLeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for class 'Resource Dependency Change Left Target'.
  See Also:
    `ResourceDependencyChangeLeftTarget`

### getResourceDependencyChangeRightTarget

    public org.eclipse.emf.ecore.EClass getResourceDependencyChangeRightTarget()

  Specified by:
    `getResourceDependencyChangeRightTarget` in interface `DiffPackage`
  Returns:
    the meta object for class 'Resource Dependency Change Right Target'.
  See Also:
    `ResourceDependencyChangeRightTarget`

### getAttributeChange

    public org.eclipse.emf.ecore.EClass getAttributeChange()

  Specified by:
    `getAttributeChange` in interface `DiffPackage`
  Returns:
    the meta object for class 'Attribute Change'.
  See Also:
    `AttributeChange`

### getAttributeChange_Attribute

    public org.eclipse.emf.ecore.EReference getAttributeChange_Attribute()

  Specified by:
    `getAttributeChange_Attribute` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `AttributeChange.getAttribute()`, `DiffPackage.getAttributeChange()`

### getAttributeChange_LeftElement

    public org.eclipse.emf.ecore.EReference getAttributeChange_LeftElement()

  Specified by:
    `getAttributeChange_LeftElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `AttributeChange.getLeftElement()`, `DiffPackage.getAttributeChange()`

### getAttributeChange_RightElement

    public org.eclipse.emf.ecore.EReference getAttributeChange_RightElement()

  Specified by:
    `getAttributeChange_RightElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `AttributeChange.getRightElement()`, `DiffPackage.getAttributeChange()`

### getAttributeChangeLeftTarget

    public org.eclipse.emf.ecore.EClass getAttributeChangeLeftTarget()

  Specified by:
    `getAttributeChangeLeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for class 'Attribute Change Left Target'.
  See Also:
    `AttributeChangeLeftTarget`

### getAttributeChangeLeftTarget_LeftTarget

    public org.eclipse.emf.ecore.EAttribute getAttributeChangeLeftTarget_LeftTarget()

  Specified by:
    `getAttributeChangeLeftTarget_LeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for the attribute 'Left Target'.
  See Also:
    `AttributeChangeLeftTarget.getLeftTarget()`, `DiffPackage.getAttributeChangeLeftTarget()`

### getAttributeChangeRightTarget

    public org.eclipse.emf.ecore.EClass getAttributeChangeRightTarget()

  Specified by:
    `getAttributeChangeRightTarget` in interface `DiffPackage`
  Returns:
    the meta object for class 'Attribute Change Right Target'.
  See Also:
    `AttributeChangeRightTarget`

### getAttributeChangeRightTarget_RightTarget

    public org.eclipse.emf.ecore.EAttribute getAttributeChangeRightTarget_RightTarget()

  Specified by:
    `getAttributeChangeRightTarget_RightTarget` in interface `DiffPackage`
  Returns:
    the meta object for the attribute 'Right Target'.
  See Also:
    `AttributeChangeRightTarget.getRightTarget()`, `DiffPackage.getAttributeChangeRightTarget()`

### getConflictingDiffElement

    public org.eclipse.emf.ecore.EClass getConflictingDiffElement()

  Specified by:
    `getConflictingDiffElement` in interface `DiffPackage`
  Returns:
    the meta object for class 'Conflicting Diff Element'.
  See Also:
    `ConflictingDiffElement`

### getConflictingDiffElement_LeftParent

    public org.eclipse.emf.ecore.EReference getConflictingDiffElement_LeftParent()

  Specified by:
    `getConflictingDiffElement_LeftParent` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Parent'.
  See Also:
    `ConflictingDiffElement.getLeftParent()`, `DiffPackage.getConflictingDiffElement()`

### getConflictingDiffElement_OriginElement

    public org.eclipse.emf.ecore.EReference getConflictingDiffElement_OriginElement()

  Specified by:
    `getConflictingDiffElement_OriginElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Origin Element'.
  See Also:
    `ConflictingDiffElement.getOriginElement()`, `DiffPackage.getConflictingDiffElement()`

### getConflictingDiffElement_RightParent

    public org.eclipse.emf.ecore.EReference getConflictingDiffElement_RightParent()

  Specified by:
    `getConflictingDiffElement_RightParent` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Parent'.
  See Also:
    `ConflictingDiffElement.getRightParent()`, `DiffPackage.getConflictingDiffElement()`

### getDiffElement

    public org.eclipse.emf.ecore.EClass getDiffElement()

  Specified by:
    `getDiffElement` in interface `DiffPackage`
  Returns:
    the meta object for class 'Element'.
  See Also:
    `DiffElement`

### getDiffElement_Conflicting

    public org.eclipse.emf.ecore.EAttribute getDiffElement_Conflicting()

  Specified by:
    `getDiffElement_Conflicting` in interface `DiffPackage`
  Returns:
    the meta object for the attribute 'Conflicting'.
  See Also:
    `DiffElement.isConflicting()`, `DiffPackage.getDiffElement()`

### getDiffElement_IsHiddenBy

    public org.eclipse.emf.ecore.EReference getDiffElement_IsHiddenBy()

  Specified by:
    `getDiffElement_IsHiddenBy` in interface `DiffPackage`
  Returns:
    the meta object for the reference list 'Is Hidden By'.
  See Also:
    `DiffElement.getIsHiddenBy()`, `DiffPackage.getDiffElement()`

### getDiffElement_Kind

    public org.eclipse.emf.ecore.EAttribute getDiffElement_Kind()

  Specified by:
    `getDiffElement_Kind` in interface `DiffPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `DiffElement.getKind()`, `DiffPackage.getDiffElement()`

### getDiffElement_Remote

    public org.eclipse.emf.ecore.EAttribute getDiffElement_Remote()

  Specified by:
    `getDiffElement_Remote` in interface `DiffPackage`
  Returns:
    the meta object for the attribute 'Remote'.
  See Also:
    `DiffElement.isRemote()`, `DiffPackage.getDiffElement()`

### getDiffElement_SubDiffElements

    public org.eclipse.emf.ecore.EReference getDiffElement_SubDiffElements()

  Specified by:
    `getDiffElement_SubDiffElements` in interface `DiffPackage`
  Returns:
    the meta object for the containment reference list 'Sub Diff Elements'.
  See Also:
    `DiffElement.getSubDiffElements()`, `DiffPackage.getDiffElement()`

### getDifferenceKind

    public org.eclipse.emf.ecore.EEnum getDifferenceKind()

  Specified by:
    `getDifferenceKind` in interface `DiffPackage`
  Returns:
    the meta object for enum 'Difference Kind'.
  See Also:
    `DifferenceKind`

### getDiffFactory

    public DiffFactory getDiffFactory()

  Specified by:
    `getDiffFactory` in interface `DiffPackage`
  Returns:
    the factory that creates the instances of the model.

### getDiffGroup

    public org.eclipse.emf.ecore.EClass getDiffGroup()

  Specified by:
    `getDiffGroup` in interface `DiffPackage`
  Returns:
    the meta object for class 'Group'.
  See Also:
    `DiffGroup`

### getDiffGroup_RightParent

    public org.eclipse.emf.ecore.EReference getDiffGroup_RightParent()

  Specified by:
    `getDiffGroup_RightParent` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Parent'.
  See Also:
    `DiffGroup.getRightParent()`, `DiffPackage.getDiffGroup()`

### getDiffGroup_Subchanges

    public org.eclipse.emf.ecore.EAttribute getDiffGroup_Subchanges()

  Specified by:
    `getDiffGroup_Subchanges` in interface `DiffPackage`
  Returns:
    the meta object for the attribute 'Subchanges'.
  See Also:
    `DiffGroup.getSubchanges()`, `DiffPackage.getDiffGroup()`

### getComparisonSnapshot

    public org.eclipse.emf.ecore.EClass getComparisonSnapshot()

  Specified by:
    `getComparisonSnapshot` in interface `DiffPackage`
  Returns:
    the meta object for class 'Comparison Snapshot'.
  See Also:
    `ComparisonSnapshot`

### getComparisonSnapshot_Date

    public org.eclipse.emf.ecore.EAttribute getComparisonSnapshot_Date()

  Specified by:
    `getComparisonSnapshot_Date` in interface `DiffPackage`
  Returns:
    the meta object for the attribute 'Date'.
  See Also:
    `ComparisonSnapshot.getDate()`, `DiffPackage.getComparisonSnapshot()`

### getComparisonResourceSnapshot

    public org.eclipse.emf.ecore.EClass getComparisonResourceSnapshot()

  Specified by:
    `getComparisonResourceSnapshot` in interface `DiffPackage`
  Returns:
    the meta object for class 'Comparison Resource Snapshot'.
  See Also:
    `ComparisonResourceSnapshot`

### getComparisonResourceSnapshot_Diff

    public org.eclipse.emf.ecore.EReference getComparisonResourceSnapshot_Diff()

  Specified by:
    `getComparisonResourceSnapshot_Diff` in interface `DiffPackage`
  Returns:
    the meta object for the containment reference 'Diff'.
  See Also:
    `ComparisonResourceSnapshot.getDiff()`, `DiffPackage.getComparisonResourceSnapshot()`

### getComparisonResourceSnapshot_Match

    public org.eclipse.emf.ecore.EReference getComparisonResourceSnapshot_Match()

  Specified by:
    `getComparisonResourceSnapshot_Match` in interface `DiffPackage`
  Returns:
    the meta object for the containment reference 'Match'.
  See Also:
    `ComparisonResourceSnapshot.getMatch()`, `DiffPackage.getComparisonResourceSnapshot()`

### getComparisonResourceSetSnapshot

    public org.eclipse.emf.ecore.EClass getComparisonResourceSetSnapshot()

  Specified by:
    `getComparisonResourceSetSnapshot` in interface `DiffPackage`
  Returns:
    the meta object for class 'Comparison Resource Set Snapshot'.
  See Also:
    `ComparisonResourceSetSnapshot`

### getComparisonResourceSetSnapshot_DiffResourceSet

    public org.eclipse.emf.ecore.EReference getComparisonResourceSetSnapshot_DiffResourceSet()

  Specified by:
    `getComparisonResourceSetSnapshot_DiffResourceSet` in interface `DiffPackage`
  Returns:
    the meta object for the containment reference 'Diff Resource Set'.
  See Also:
    `ComparisonResourceSetSnapshot.getDiffResourceSet()`, `DiffPackage.getComparisonResourceSetSnapshot()`

### getComparisonResourceSetSnapshot_MatchResourceSet

    public org.eclipse.emf.ecore.EReference getComparisonResourceSetSnapshot_MatchResourceSet()

  Specified by:
    `getComparisonResourceSetSnapshot_MatchResourceSet` in interface `DiffPackage`
  Returns:
    the meta object for the containment reference 'Match Resource Set'.
  See Also:
    `ComparisonResourceSetSnapshot.getMatchResourceSet()`, `DiffPackage.getComparisonResourceSetSnapshot()`

### getDiffModel

    public org.eclipse.emf.ecore.EClass getDiffModel()

  Specified by:
    `getDiffModel` in interface `DiffPackage`
  Returns:
    the meta object for class 'Model'.
  See Also:
    `DiffModel`

### getDiffModel_OwnedElements

    public org.eclipse.emf.ecore.EReference getDiffModel_OwnedElements()

  Specified by:
    `getDiffModel_OwnedElements` in interface `DiffPackage`
  Returns:
    the meta object for the containment reference list 'Owned Elements'.
  See Also:
    `DiffModel.getOwnedElements()`, `DiffPackage.getDiffModel()`

### getDiffModel_LeftRoots

    public org.eclipse.emf.ecore.EReference getDiffModel_LeftRoots()

  Specified by:
    `getDiffModel_LeftRoots` in interface `DiffPackage`
  Returns:
    the meta object for the reference list 'Left Roots'.
  See Also:
    `DiffModel.getLeftRoots()`, `DiffPackage.getDiffModel()`

### getDiffModel_RightRoots

    public org.eclipse.emf.ecore.EReference getDiffModel_RightRoots()

  Specified by:
    `getDiffModel_RightRoots` in interface `DiffPackage`
  Returns:
    the meta object for the reference list 'Right Roots'.
  See Also:
    `DiffModel.getRightRoots()`, `DiffPackage.getDiffModel()`

### getDiffModel_AncestorRoots

    public org.eclipse.emf.ecore.EReference getDiffModel_AncestorRoots()

  Specified by:
    `getDiffModel_AncestorRoots` in interface `DiffPackage`
  Returns:
    the meta object for the reference list 'Ancestor Roots'.
  See Also:
    `DiffModel.getAncestorRoots()`, `DiffPackage.getDiffModel()`

### getDiffResourceSet

    public org.eclipse.emf.ecore.EClass getDiffResourceSet()

  Specified by:
    `getDiffResourceSet` in interface `DiffPackage`
  Returns:
    the meta object for class 'Resource Set'.
  See Also:
    `DiffResourceSet`

### getDiffResourceSet_DiffModels

    public org.eclipse.emf.ecore.EReference getDiffResourceSet_DiffModels()

  Specified by:
    `getDiffResourceSet_DiffModels` in interface `DiffPackage`
  Returns:
    the meta object for the containment reference list 'Diff Models'.
  See Also:
    `DiffResourceSet.getDiffModels()`, `DiffPackage.getDiffResourceSet()`

### getDiffResourceSet_ResourceDiffs

    public org.eclipse.emf.ecore.EReference getDiffResourceSet_ResourceDiffs()

  Specified by:
    `getDiffResourceSet_ResourceDiffs` in interface `DiffPackage`
  Returns:
    the meta object for the containment reference list 'Resource Diffs'.
  See Also:
    `DiffResourceSet.getResourceDiffs()`, `DiffPackage.getDiffResourceSet()`

### getIMerger

    public org.eclipse.emf.ecore.EDataType getIMerger()

  Specified by:
    `getIMerger` in interface `DiffPackage`
  Returns:
    the meta object for data type 'IMerger'.
  See Also:
    `IMerger`

### getModelElementChange

    public org.eclipse.emf.ecore.EClass getModelElementChange()

  Specified by:
    `getModelElementChange` in interface `DiffPackage`
  Returns:
    the meta object for class 'Model Element Change'.
  See Also:
    `ModelElementChange`

### getModelElementChangeLeftTarget

    public org.eclipse.emf.ecore.EClass getModelElementChangeLeftTarget()

  Specified by:
    `getModelElementChangeLeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for class 'Model Element Change Left Target'.
  See Also:
    `ModelElementChangeLeftTarget`

### getModelElementChangeLeftTarget_LeftElement

    public org.eclipse.emf.ecore.EReference getModelElementChangeLeftTarget_LeftElement()

  Specified by:
    `getModelElementChangeLeftTarget_LeftElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `ModelElementChangeLeftTarget.getLeftElement()`, `DiffPackage.getModelElementChangeLeftTarget()`

### getModelElementChangeLeftTarget_RightParent

    public org.eclipse.emf.ecore.EReference getModelElementChangeLeftTarget_RightParent()

  Specified by:
    `getModelElementChangeLeftTarget_RightParent` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Parent'.
  See Also:
    `ModelElementChangeLeftTarget.getRightParent()`, `DiffPackage.getModelElementChangeLeftTarget()`

### getModelElementChangeRightTarget

    public org.eclipse.emf.ecore.EClass getModelElementChangeRightTarget()

  Specified by:
    `getModelElementChangeRightTarget` in interface `DiffPackage`
  Returns:
    the meta object for class 'Model Element Change Right Target'.
  See Also:
    `ModelElementChangeRightTarget`

### getModelElementChangeRightTarget_LeftParent

    public org.eclipse.emf.ecore.EReference getModelElementChangeRightTarget_LeftParent()

  Specified by:
    `getModelElementChangeRightTarget_LeftParent` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Parent'.
  See Also:
    `ModelElementChangeRightTarget.getLeftParent()`, `DiffPackage.getModelElementChangeRightTarget()`

### getModelElementChangeRightTarget_RightElement

    public org.eclipse.emf.ecore.EReference getModelElementChangeRightTarget_RightElement()

  Specified by:
    `getModelElementChangeRightTarget_RightElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `ModelElementChangeRightTarget.getRightElement()`, `DiffPackage.getModelElementChangeRightTarget()`

### getMoveModelElement

    public org.eclipse.emf.ecore.EClass getMoveModelElement()

  Specified by:
    `getMoveModelElement` in interface `DiffPackage`
  Returns:
    the meta object for class 'Move Model Element'.
  See Also:
    `MoveModelElement`

### getMoveModelElement_LeftTarget

    public org.eclipse.emf.ecore.EReference getMoveModelElement_LeftTarget()

  Specified by:
    `getMoveModelElement_LeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Target'.
  See Also:
    `MoveModelElement.getLeftTarget()`, `DiffPackage.getMoveModelElement()`

### getMoveModelElement_RightTarget

    public org.eclipse.emf.ecore.EReference getMoveModelElement_RightTarget()

  Specified by:
    `getMoveModelElement_RightTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Target'.
  See Also:
    `MoveModelElement.getRightTarget()`, `DiffPackage.getMoveModelElement()`

### getUpdateContainmentFeature

    public org.eclipse.emf.ecore.EClass getUpdateContainmentFeature()

  Specified by:
    `getUpdateContainmentFeature` in interface `DiffPackage`
  Returns:
    the meta object for class 'Update Containment Feature'.
  See Also:
    `UpdateContainmentFeature`

### getReferenceChange

    public org.eclipse.emf.ecore.EClass getReferenceChange()

  Specified by:
    `getReferenceChange` in interface `DiffPackage`
  Returns:
    the meta object for class 'Reference Change'.
  See Also:
    `ReferenceChange`

### getReferenceChange_LeftElement

    public org.eclipse.emf.ecore.EReference getReferenceChange_LeftElement()

  Specified by:
    `getReferenceChange_LeftElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `ReferenceChange.getLeftElement()`, `DiffPackage.getReferenceChange()`

### getReferenceChange_Reference

    public org.eclipse.emf.ecore.EReference getReferenceChange_Reference()

  Specified by:
    `getReferenceChange_Reference` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Reference'.
  See Also:
    `ReferenceChange.getReference()`, `DiffPackage.getReferenceChange()`

### getReferenceChange_RightElement

    public org.eclipse.emf.ecore.EReference getReferenceChange_RightElement()

  Specified by:
    `getReferenceChange_RightElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `ReferenceChange.getRightElement()`, `DiffPackage.getReferenceChange()`

### getReferenceChangeLeftTarget

    public org.eclipse.emf.ecore.EClass getReferenceChangeLeftTarget()

  Specified by:
    `getReferenceChangeLeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for class 'Reference Change Left Target'.
  See Also:
    `ReferenceChangeLeftTarget`

### getReferenceChangeLeftTarget_LeftTarget

    public org.eclipse.emf.ecore.EReference getReferenceChangeLeftTarget_LeftTarget()

  Specified by:
    `getReferenceChangeLeftTarget_LeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Target'.
  See Also:
    `ReferenceChangeLeftTarget.getLeftTarget()`, `DiffPackage.getReferenceChangeLeftTarget()`

### getReferenceChangeLeftTarget_RightTarget

    public org.eclipse.emf.ecore.EReference getReferenceChangeLeftTarget_RightTarget()

  Specified by:
    `getReferenceChangeLeftTarget_RightTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Target'.
  See Also:
    `ReferenceChangeLeftTarget.getRightTarget()`, `DiffPackage.getReferenceChangeLeftTarget()`

### getReferenceChangeRightTarget

    public org.eclipse.emf.ecore.EClass getReferenceChangeRightTarget()

  Specified by:
    `getReferenceChangeRightTarget` in interface `DiffPackage`
  Returns:
    the meta object for class 'Reference Change Right Target'.
  See Also:
    `ReferenceChangeRightTarget`

### getReferenceChangeRightTarget_RightTarget

    public org.eclipse.emf.ecore.EReference getReferenceChangeRightTarget_RightTarget()

  Specified by:
    `getReferenceChangeRightTarget_RightTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Target'.
  See Also:
    `ReferenceChangeRightTarget.getRightTarget()`, `DiffPackage.getReferenceChangeRightTarget()`

### getReferenceChangeRightTarget_LeftTarget

    public org.eclipse.emf.ecore.EReference getReferenceChangeRightTarget_LeftTarget()

  Specified by:
    `getReferenceChangeRightTarget_LeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Target'.
  See Also:
    `ReferenceChangeRightTarget.getLeftTarget()`, `DiffPackage.getReferenceChangeRightTarget()`

### getUpdateAttribute

    public org.eclipse.emf.ecore.EClass getUpdateAttribute()

  Specified by:
    `getUpdateAttribute` in interface `DiffPackage`
  Returns:
    the meta object for class 'Update Attribute'.
  See Also:
    `UpdateAttribute`

### getUpdateModelElement

    public org.eclipse.emf.ecore.EClass getUpdateModelElement()

  Specified by:
    `getUpdateModelElement` in interface `DiffPackage`
  Returns:
    the meta object for class 'Update Model Element'.
  See Also:
    `UpdateModelElement`

### getUpdateModelElement_LeftElement

    public org.eclipse.emf.ecore.EReference getUpdateModelElement_LeftElement()

  Specified by:
    `getUpdateModelElement_LeftElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `UpdateModelElement.getLeftElement()`, `DiffPackage.getUpdateModelElement()`

### getUpdateModelElement_RightElement

    public org.eclipse.emf.ecore.EReference getUpdateModelElement_RightElement()

  Specified by:
    `getUpdateModelElement_RightElement` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `UpdateModelElement.getRightElement()`, `DiffPackage.getUpdateModelElement()`

### getUpdateReference

    public org.eclipse.emf.ecore.EClass getUpdateReference()

  Specified by:
    `getUpdateReference` in interface `DiffPackage`
  Returns:
    the meta object for class 'Update Reference'.
  See Also:
    `UpdateReference`

### getUpdateReference_LeftTarget

    public org.eclipse.emf.ecore.EReference getUpdateReference_LeftTarget()

  Specified by:
    `getUpdateReference_LeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Left Target'.
  See Also:
    `UpdateReference.getLeftTarget()`, `DiffPackage.getUpdateReference()`

### getUpdateReference_RightTarget

    public org.eclipse.emf.ecore.EReference getUpdateReference_RightTarget()

  Specified by:
    `getUpdateReference_RightTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference 'Right Target'.
  See Also:
    `UpdateReference.getRightTarget()`, `DiffPackage.getUpdateReference()`

### getReferenceOrderChange

    public org.eclipse.emf.ecore.EClass getReferenceOrderChange()

  Specified by:
    `getReferenceOrderChange` in interface `DiffPackage`
  Returns:
    the meta object for class 'Reference Order Change'.
  See Also:
    `ReferenceOrderChange`

### getReferenceOrderChange_LeftTarget

    public org.eclipse.emf.ecore.EReference getReferenceOrderChange_LeftTarget()

  Specified by:
    `getReferenceOrderChange_LeftTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference list 'Left Target'.
  See Also:
    `ReferenceOrderChange.getLeftTarget()`, `DiffPackage.getReferenceOrderChange()`

### getReferenceOrderChange_RightTarget

    public org.eclipse.emf.ecore.EReference getReferenceOrderChange_RightTarget()

  Specified by:
    `getReferenceOrderChange_RightTarget` in interface `DiffPackage`
  Returns:
    the meta object for the reference list 'Right Target'.
  See Also:
    `ReferenceOrderChange.getRightTarget()`, `DiffPackage.getReferenceOrderChange()`

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright 2006 IBM Corporation and others. All Rights Reserved.